Bug Hunting Session
Bug 80716 - Adding an icon to the Tools > Options menu entry
Summary: Adding an icon to the Tools > Options menu entry
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: lowest enhancement
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: Main-Menu Icon-Themes
  Show dependency treegraph
 
Reported: 2014-06-30 15:05 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-22 01:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
what the gear icon looks like (588 bytes, image/png)
2014-09-24 21:44 UTC, Yousuf Philips (jay) (retired)
Details
3 possible icons (3.79 KB, image/png)
2014-09-24 21:48 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-30 15:05:18 UTC
With an icon, i think it will be easy to notice. Maybe a gear, rench or something like .uno:ControlProperties (plier crossed rench) or .uno:MoreControls (option box and check box).
Comment 1 V Stuart Foote 2014-06-30 15:22:51 UTC
Reasonable enhancement, but selection of the icons needs to be icon style aware.

This is off the main menu, where there already are several icons in place:

File -> New
File -> Open
File -> Wizards
File -> Exit

and on

Help -> LibreOffice Help

Setting new.
Comment 2 Yousuf Philips (jay) (retired) 2014-09-24 21:44:38 UTC
Created attachment 106815 [details]
what the gear icon looks like

Planning to use applications-system.png from tango's icon set which looks like a gear.
Comment 3 Yousuf Philips (jay) (retired) 2014-09-24 21:48:52 UTC
Created attachment 106816 [details]
3 possible icons

Looking further over the tango icon set, any of the 3 icons in the attached screenshot will do, so if you have a preference, please let me know.
Comment 4 Yousuf Philips (jay) (retired) 2014-11-03 20:38:49 UTC
Patch pushed with gnome's applications-system.png - https://gerrit.libreoffice.org/12232
Comment 5 Commit Notification 2014-11-04 06:38:15 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1968b5aef456698b2be772cd2d40dece701639b1

fdo#80716 - Adding an icon to the Tools > Options menu entry

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.